//#include "testlib.h"

#include <iostream>
#include <math.h>
#include <map>
#include <vector>
#include <stdlib.h>
#include <memory.h>
#include <time.h>
#include <string.h>
#include <iostream>
#include <stdio.h>
#include <algorithm>
#include <set>
#include <stack>
#include <cassert>
#include <queue>

using namespace std;

int a[100010];

int main() {
    ios::sync_with_stdio(0);
    int n; cin >> n;
    for(int i = 0; i < n; ++i)
        cin >> a[i];
    long long ans = 0;
    for(int i = 0; i < n; ++i) {
        for(int j = max(0, i-500); j < min(n, i+500); ++j)
            ans = max(ans, abs(i-j) * 1ll * min(a[i], a[j]));
        
        for(int j = max(0, n-500); j < n; ++j)
            ans = max(ans, abs(i-j) * 1ll * min(a[i], a[j]));
    }
    cout << ans << "\n";
    return 0;
}
